--
--  入金
--      t_deposit
--

-- DROP TABLE t_deposit;

CREATE TABLE t_deposit
(
    orderno         integer NOT NULL,       -- PriKey
    depositdate     date,
    depositdiv      integer,
    depositstate    integer,
    cardcompany     character varying(60),
    cardnumber      character varying(60),
    cardname        character varying(60),
    cardexp         character varying(60),
    shitennumberkey character varying(20),
    kouzanumberkey  character varying(20),
    sellerpaydate   timestamp without time zone,
    cvsinfo   character varying(1024),
    remiseinfo   character varying(1024),

    delflg      boolean,
    adddate     timestamp without time zone,
    upddate     timestamp without time zone,
    updusrnm    character varying(60),
    updpcnm     character varying(60),
    updcnt      integer,

    PRIMARY KEY(orderno)
);


-- トリガー
CREATE TRIGGER trigger_master_stamp
  BEFORE INSERT OR UPDATE
  ON t_deposit
  FOR EACH ROW
  EXECUTE PROCEDURE g_master_stamp();
